Page MenuHomeFreeBSD

Committers-guide port section: remove addport
ClosedPublic

Authored by pizzamig on Apr 26 2022, 6:37 PM.

Details

Summary

The script addport is not working anymore, it's based on SVN and
it's quite hard to port it to git.
Before its removal, we want to remove its references in the
documentation.
Related bugzilla entry:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=261378

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pizzamig created this revision.
This revision is now accepted and ready to land.Apr 28 2022, 7:31 AM
pauamma_gundo.com added inline comments.
documentation/content/en/articles/committers-guide/_index.adoc
3686
This revision now requires changes to proceed.Apr 28 2022, 7:28 PM

Following up on the comment about screen readers

This revision is now accepted and ready to land.May 5 2022, 2:34 PM

My lack of confidence with arc removed the previous commit

This revision now requires review to proceed.May 5 2022, 7:45 PM
0mp added a subscriber: 0mp.

Once those minor nits are addressed, it is ready to land.

Approved by: 0mp (doc)

PS Bonus points for avoiding "you" in the documentation. ;)

documentation/content/en/articles/committers-guide/_index.adoc
3670–3671
  1. Please keep one sentence per line.
  2. Use backticks around SUBDIR.
3686

Missing dot at the end.

This revision is now accepted and ready to land.May 5 2022, 7:55 PM
This revision now requires review to proceed.May 5 2022, 8:39 PM
pizzamig marked an inline comment as done.
  • Put backticks in the right SUBDIR
This revision was not accepted when it landed; it landed in state Needs Review.May 9 2022, 9:04 AM
This revision was automatically updated to reflect the committed changes.